#!/usr/bin/env python
import coral
L = coral.lang.UML14

m = L.Multiplicity()
print m
print m.range
for s in m.__all_slots__():
    print s.getProperty().getName()


assert m.isWellFormed() == 0

m.range.add(L.MultiplicityRange())

assert len(m.range) == 1

print "Should be ok now..."

assert m.isWellFormed() == 1

m  = L.Model()
assert m.isWellFormed() == 1
